<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:rich="http://richfaces.org/rich"
                xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:param name="ID" value="XDSBEPSOS"/>
    <ui:define name="body">
        <h1>#{XDSbEPSOSManager.getTheNameOfThePage()}</h1>
        <h:form id="globalForm">
            <rich:messages globalOnly="true" styleClass="message"/>

            #{XDSbEPSOSManager.init()}

            <s:div id="globalDiv">
                <gri:panel id="mainPanel">
                    <f:facet name="header">#{XDSbEPSOSManager.getTheNameOfThePage()}</f:facet>
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.xdstar.ThisToolProvidesThePossibilityToSendAnEDispensat']}"/>
                    <br/>
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.xdstar.ItActsAsAnActorDocumentSourceSendingDocumentsToA']}"/>
                    <br/>
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.xdstar.ToUseThisToolYouHaveTo']} "/>
                    <ul>
                        <li>
                            <h:outputText
                                    value="#{messages['net.ihe.gazelle.xdstar.SelectYourRepositoryConfigurationOrAddANewOneOnT']} "/>
                            <h:outputLink
                                    value="/XDStarClient/configuration/common/configurations.seam"
                                    title="#{messages['net.ihe.gazelle.xdstar.XDSRespondersConfigurations']}">
                                #{messages['net.ihe.gazelle.xdstar.Configurations']}
                            </h:outputLink>
                            <h:outputText value=". "/>
                        </li>
                        <li>
                            <h:outputText
                                    value="#{messages['net.ihe.gazelle.xdstar.FulfilMetadatasOfTheSubmissionSetThePatientIdOfT']} "/>
                        </li>
                        <li>
                            <h:outputText
                                    value="#{messages['net.ihe.gazelle.xdstar.UploadTheDocumentToSubmitAndFulfilRelatedMetadat']}"/>
                        </li>
                        <li>
                            <h:outputText
                                    value="#{messages['net.ihe.gazelle.xdstar.ClickOnTheButtonexecuteToSendTheDocumentToTheRel']}"/>
                        </li>
                    </ul>
                    <ui:include src="/simu/header.xhtml">
                        <ui:param name="divToRerender"
                                  value="messageConfigurationDiv"/>
                        <ui:param name="simuManager" value="#{XDSbEPSOSManager}"/>
                        <ui:param name="diagramFile" value="/img/XDSb.png"/>
                        <ui:param name="sourceID"
                                  value="#{oid.getSourceOid(XDSbEPSOSManager.selectedAffinityDomain.keyword)}"/>
                        <ui:param name="simulatorConfigurationName"
                                  value="#{messages['net.ihe.gazelle.xdstar.XDSbSimulatorepSOSContext']})"/>
                        <ui:param name="displaySourceId" value="#{false}"/>
                        <ui:param name="displayhomeCommunityId" value="#{false}"/>
                    </ui:include>
                    <!-- MESSAGE CONFIGURATION -->
                    <s:div id="messageConfigurationDiv">
                        <gri:panel
                                rendered="#{XDSbEPSOSManager.selectedConfiguration != null}">
                            <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.XDSMetadatas']}</f:facet>
                            <table style="width: 100%;">
                                <tr valign="top">
                                    <td width="25%" valign="top">
                                        <s:div id="treereRender">
                                            #{XDSbEPSOSManager.getTreeNodeSubmissionSet()}
                                            <rich:tree id="treesubid"
                                                       value="#{XDSbEPSOSManager.treeNodeSubmission}"
                                                       adviseNodeOpened="#{XDSbEPSOSManager.getAdviseNodeOpened()}"
                                                       var="node" style="vertical-align:top"
                                                       nodeType="#{node.data.class.simpleName}" toggleType="client">
                                                <rich:treeNode type="XDSSubmissionSet" id="xdssubid"
                                                               width="20" height="20">
                                                    <a4j:commandLink
                                                            value="#{messages['net.ihe.gazelle.xdstar.SubmissionSet']} #{node.data.title}"
                                                            style="font-weight:bold;"
                                                            rendered="#{XDSbEPSOSManager.editSubmissionSet}"
                                                            actionListener="#{XDSbEPSOSManager.editXDSSubmissionSet()}"
                                                            render="metadata_id,treesubid"/>
                                                    <a4j:commandLink
                                                            value="#{messages['net.ihe.gazelle.xdstar.SubmissionSet']} #{node.data.title}"
                                                            rendered="#{!XDSbEPSOSManager.editSubmissionSet}"
                                                            actionListener="#{XDSbEPSOSManager.editXDSSubmissionSet()}"
                                                            render="metadata_id,treesubid"/>
                                                    <gdk:spacer width="5"/>
                                                    <a4j:commandLink execute="@form"
                                                                     actionListener="#{XDSbEPSOSManager.addDocumentEntry(node.data)}"
                                                                     render="treereRender,metadata_id">
														<span class="gzl-icon-stack"
                                                              title="#{messages['net.ihe.gazelle.xdstar.AddXDSDocumentEntryToTheSubmissionSet']}">
                       										 <i class="gzl-icon-files-o gzl-icon-stack-1x"></i>
                                                             <i class="gzl-icon-plus gzl-icon-stack-1x gzl-icon-stack-bottom-right"></i>
                    									</span>
                                                    </a4j:commandLink>
                                                </rich:treeNode>
                                                <rich:treeNode type="XDSDocumentEntry" id="xdsdocid"
                                                               width="20" height="20">
                                                    <a4j:commandLink value="#{node.data.title}"
                                                                     style="font-weight:bold;"
                                                                     rendered="#{XDSbEPSOSManager.selectedXDSDocumentEntry.equals(node.data) and XDSbEPSOSManager.editXDSDocumentEntry}"
                                                                     actionListener="#{XDSbEPSOSManager.editXDSDocumentEntry(node.data)}"
                                                                     render="metadata_id,treesubid"/>
                                                    <a4j:commandLink value="#{node.data.title}"
                                                                     rendered="#{!XDSbEPSOSManager.selectedXDSDocumentEntry.equals(node.data) or !XDSbEPSOSManager.editXDSDocumentEntry}"
                                                                     actionListener="#{XDSbEPSOSManager.editXDSDocumentEntry(node.data)}"
                                                                     render="metadata_id,treesubid"/>
                                                    <a4j:commandLink execute="@this"
                                                                     actionListener="#{XDSbEPSOSManager.deleteXDSDocument(node.data)}"
                                                                     render="treereRender,metadata_id">
                                                        <span class="gzl-icon-trash-o"
                                                              title="#{messages['net.ihe.gazelle.xdstar.DeleteXDSDocumentEntry']}#{node.data.title}'"/>
                                                    </a4j:commandLink>
                                                </rich:treeNode>
                                            </rich:tree>
                                        </s:div>
                                    </td>
                                    <td width="75%">
                                        <s:div id="metadata_id">
                                            <f:subview id="subview_1">
                                                <ui:include src="/provide_register/submissionSet.xhtml">
                                                    <ui:param name="pnrIHEManager" value="#{XDSbEPSOSManager}"/>
                                                </ui:include>
                                            </f:subview>
                                            <f:subview id="subview_2">
                                                <ui:include src="/xdsb-epsos/documentEntry.xhtml">
                                                    <ui:param name="pnrIHEManager" value="#{XDSbEPSOSManager}"/>
                                                </ui:include>
                                            </f:subview>
                                        </s:div>
                                    </td>
                                </tr>
                            </table>
                        </gri:panel>
                        <br/>
                        <a4j:commandButton id="previewButton" styleClass="gzl-btn-blue"
                                           rendered="#{XDSbEPSOSManager.selectedConfiguration != null}"
                                           oncomplete="jq162('#previewMessagePanelIHE').modal('show');"
                                           value="#{messages['net.ihe.gazelle.xdstar.Preview']}"
                                           render="previewForm"/>
                        <a4j:commandButton styleClass="gzl-btn-green"
                                           rendered="#{XDSbEPSOSManager.selectedConfiguration != null}"
                                           value="#{messages['gazelle.xdrsrc.Execute']}"
                                           actionListener="#{XDSbEPSOSManager.sendProvideAndRegisterSetb()}"
                                           render="messagesDiv"/>
                        <br/>
                        <br/>
                        <s:div id="messagesDiv">
                            <gri:panel id="messagePanel"
                                       rendered="#{XDSbEPSOSManager.displayResultPanel == true}">
                                <f:facet name="header">#{messages['gazelle.xdrsrc.executionSummary']}</f:facet>
                                #{allMessageManagerBean.listMessagesToDisplay()}
                                <ui:include src="/messages/messageTable.xhtml">
                                    <ui:param name="messageManagerBean"
                                              value="#{allMessageManagerBean}"/>
                                </ui:include>
                            </gri:panel>
                        </s:div>
                        <f:subview id="subview_3">
                            <ui:include src="/provide_register/pnr_modalPanel.xhtml">
                                <ui:param name="pnrIHEManager" value="#{XDSbEPSOSManager}"/>
                            </ui:include>
                        </f:subview>
                    </s:div>
                </gri:panel>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>
